<ng-template #content let-modal>
  <form ngForm #client="ngForm" [class.is-valid]="nameController.valid && cnpController.valid && phoneController.valid && emailController.valid">
    <div class="modal-header">
      <h4 class="modal-title" id="modal-basic-title">Create Client</h4>
      <button type="button" class="close" aria-label="Close" (click)="modal.dismiss()">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
      <div class="form-group">
        <label for="name">Name</label>
        <div class="input-group">
          <input ngModel="" type="text" id="name" [class.is-invalid]="nameController.invalid && nameController.touched" class="form-control" placeholder="Name" required="required" pattern="[a-zA-Z ]+" minlength="6" name="name" #nameController="ngModel">
        </div>
      </div>
      <div class="form-group">
        <label for="cnp">CNP</label>
        <div class="input-group">
          <input type="number" ngModel="" [(ngModel)]="cnpField" [class.is-invalid]="cnpController.invalid && cnpController.touched && cnpExist" id="cnp" class="form-control" required="required" pattern="[0-9]{13}" placeholder="CNP" name="cnp" #cnpController ="ngModel">
        </div>
      </div>
      <div class="form-group">
        <label for="phoneNumber">Phone Number</label>
        <div class="input-group">
          <input ngModel="" id="phoneNumber" [class.is-invalid]="phoneController.invalid && phoneController.touched" class="form-control" required="required" pattern="[0-9]{10}" placeholder="Phone Number" name="phoneNumber" #phoneController="ngModel">
        </div>
      </div>
      <div class="form-group">
        <label for="emailAddress">Email Address</label>
        <div class="input-group">
          <input ngModel="" id="emailAddress" [class.is-invalid]="emailController.invalid && emailController.touched" class="form-control" required="required" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$" placeholder="Email Address" name="emailAddress" #emailController="ngModel">
        </div>
      </div>
      <div class="form-group">
        <label for="gdprStatus">Gdpr Status</label>
          <input ngModel="" id="gdprStatus" class="form-control" type="checkbox" name="gdprStatus">
          <label for="lead">Lead Status</label>
          <input ngModel="" id="lead" class="form-control" type="checkbox" name="lead">
      </div>
      <button type="button" class="btn btn-outline-dark" [class.disabled]="client.invalid" (click)="onSubmit(client)">Save</button>
    </div>
  </form>
</ng-template>
<button class="btn btn-md btn-outline-primary" (click)="open(content)">Add Client</button>


